Bug 1263178 - Run configurations window on top => pressing super key makes the configuration child window disappear
Run configurations window on top => pressing super key makes the configuratio...
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-15 05:30 EDT by Severin Gehwolf
Modified: 2015-11-28 07:08 EST (History)
11 users (show)

See Also:
Fixed In Version: mutter-3.18.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-28 07:08:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Updated packages from today. (5.56 KB, text/plain)
2015-09-17 08:04 EDT, Severin Gehwolf
no flags Details

  None (edit)
Description Severin Gehwolf 2015-09-15 05:30:55 EDT
Description of problem:
I'm on F23 workstation with Gnome 3.

Version-Release number of selected component (if applicable):
$ rpm -q eclipse-platform

How reproducible:

Steps to Reproduce:
1. Run => Run Configurations (in Java perspective)
2. Wait for child dialog to appear.
3. Press the super key (windows key)
4. Switch back to Eclipse

Actual results:
Run configuration key is no longer on top of the workspace and there is no way to get it back. Other UI widgets are disabled.

Expected results:
Run configuration dialog is visible or can be brought to front via CTRL+` or ALT-TAB
Comment 1 Severin Gehwolf 2015-09-15 05:32:27 EDT
Video illustrating the issue:
Comment 2 Roland Grunberg 2015-09-16 10:15:38 EDT

Reproduced on F23 with eclipse-platform-4.5.0-14.fc23.x86_64, upstream eclipse-SDK-4.5-linux-gtk-x86_64.tar.gz, and upstream eclipse-SDK-4.6M1-linux-gtk-x86_64.tar.gz. I think this should be filed upstream.

I notice that it is possible to recover by simply dragging the Eclipse Workbench "out of the way", and then discovering that the Run Configuration dialog is actually directly underneath it.
Comment 3 Roland Grunberg 2015-09-16 10:40:25 EDT
I guess it goes without saying that this can also be reproduced on those versions with other windows (Window -> Preferences), and even ones that pop out of the workbench (Views).

However this bug is not reproducible under eclipse-SDK-4.4.2-linux-gtk-x86_64.tar.gz, or eclipse-standard-kepler-SR2-linux-gtk-x86_64.tar.gz. In fact the "Run Configuration" dialog is considered a "sub-window" of the Eclipse process, and is in fact given focus even when the workbench is selected.
Comment 4 Roland Grunberg 2015-09-16 11:16:17 EDT
Filed upstream as https://bugs.eclipse.org/bugs/show_bug.cgi?id=477599 .
Comment 5 Severin Gehwolf 2015-09-17 08:04:23 EDT
Created attachment 1074414 [details]
Updated packages from today.
Comment 6 Severin Gehwolf 2015-09-17 08:05:14 EDT
FYI: One of the updated packages (see comment 5) fixed the problem for me.
Comment 7 Severin Gehwolf 2015-09-17 08:55:14 EDT
(In reply to Severin Gehwolf from comment #6)
> FYI: One of the updated packages (see comment 5) fixed the problem for me.

I'm withdrawing that, sorry. I was too fast.

It only works if the super key is pressed, then pressed again (which I believe always worked). The window hides away under it's parent once I press the super key and switch to a different workspace (using the scroll whell for example).
Comment 8 Roland Grunberg 2015-09-28 10:41:31 EDT
https://bugs.eclipse.org/bugs/show_bug.cgi?id=477599#c3 would seem to point to this being an issue with Gnome. The fact that other window managers don't show the same behvaiour is interesting. Switching component to Gnome to at the very least get some information on what might be causing this.
Comment 9 Matthias Clasen 2015-10-06 15:41:24 EDT
I've been pointed at https://bugzilla.gnome.org/show_bug.cgi?id=756074 as the possible cause (and fix) for this issue
Comment 10 Roland Grunberg 2015-10-19 15:27:24 EDT
I can confirm that mutter 3.18.1 in f23-updates-testing (https://bodhi.fedoraproject.org/updates/FEDORA-2015-13e545ec3e) fixes the issue. This bug can be closed once the update gets pushed to stable.
Comment 11 Mat Booth 2015-11-28 07:08:27 EST
Closing per Roland's comment above.

Note You need to log in before you can comment on or make changes to this bug.